
def get_random_columns_from_table(table, session):
    """
    This function generates a random selection of columns from a given SQLAlchemy table.

    :param table: SQLAlchemy table object
    :param session: SQLAlchemy session object
    :return: List of randomly selected column names from the table
    """
    import random
    from sqlalchemy_utils import random_columns

    # Generate a list of all column names in the table
    all_columns = [column.name for column in table.columns]

    # Randomly select a subset of column names
    selected_columns = random_columns(all_columns, random.randint(1, len(all_columns)))

    return selected_columns



